//	Persistence of Vision Raytracer Version 3.5 Scene Description File
//	File: hollow3.pov
//	Author: Dieter Bayer
//	Description:
// This scene shows a hollow, checkered sphere filled with fire.
//
//*******************************************

global_settings {
  //max_trace_level 5
}

#include "colors.inc"

camera {
  location <0,0,-2.3>
  //angle 90
  right <1,0,0> up <0,1,0>
  // clock
}

background { color rgb <0,0,0> }

// light_source { <100, 100, -200> color White }
/*
/usr/share/povray-3.5/include/stars.inc

  sky_sphere {
    pigment {
        granite
        color_map {
            [ 0.000  0.270 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.270  0.280 color rgb <.5,.5,.4> color rgb <.8,.8,.4> ]
            [ 0.280  0.470 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.470  0.480 color rgb <.4,.4,.5> color rgb <.4,.4,.8> ]
            [ 0.480  0.680 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.680  0.690 color rgb <.5,.4,.4> color rgb <.8,.4,.4> ]
            [ 0.690  0.880 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.880  0.890 color rgb <.5,.5,.5> color rgb < 1, 1, 1> ]
            [ 0.890  1.000 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
        }
    turbulence 1
    sine_wave
    scale .5
    }
    
  }
  */
  

sphere { < 0, 0, 0>, 4
	// pigment { rgbt 1 } // surface of sphere is transparent
	pigment { rgbt 1 } // surface of sphere is transparent
	interior {
		media {
			emission 0.65203921653
			intervals 1
			samples 33
			method 3
			density {
				spherical
				ramp_wave
        translate (27.5687993167 + clock*1.0)*y  // replace 1.0 = t   by time for animation
        warp { turbulence 0.784767702029 }
        translate -(27.5687993167 + clock*1.0)*y // replace -1.0 = -t  by time for animation
				color_map {
					[0.0 color rgb <0, 0, 0>]
          [0.07631492644 color rgb <0.222251700341,0.433917563611,0.965472124967>]
[0.279041287237 color rgb <0.564373771457,0.975559167553,0.757929094023>]
[0.416479035116 color rgb <0.0578093063355,0.289732386027,0.305291261666>]
[0.441877310532 color rgb <0.250445045647,0.306431319242,0.438015993888>]
[0.657773012724 color rgb <0.111826091591,0.0128355682887,0.724867578002>]
[0.714226205985 color rgb <0.0810205457178,0.729460142427,0.857724394583>]
[0.808220069881 color rgb <0.811321361834,0.454183741684,0.834870633592>]
[1.0 color rgb <0.216683742691,0.341167257326,0.958080872874>]
				}
			}
      scale 0.7
		}
	}
	//translate 25*y
	hollow
}

  /*
sphere { < 0, 0, 0>, 2
	pigment { rgbt 1 } // surface of sphere is transparent
	interior {
		media {
			emission 0.02
			intervals 1
			samples 25
			method 3
			density {
				spherical
				ramp_wave
        translate (clock*1.0)*y  // replace 1.0 = t   by time for animation
        warp { turbulence 2.5 }
        translate -(clock*1.0)*y // replace -1.0 = -t  by time for animation
				color_map {
					[0.0 color rgb <1, 0, 0>]
					[0.1 color rgb <1, 1, 0>]
					[0.5 color rgb <1, 1, 0>]
					[1.0 color rgb <1, 0, 0>]
				}
			}
			density {
				spherical
				ramp_wave
				color_map {
					[0.0 color rgb 1]
					[0.2 color rgb 1]
					[0.3 color rgb 1]
					[1.0 color rgb 1]
				}
			}
		}
	}
	scale 1
	hollow
}
*/